Page MenuHomePhabricator

Update Code Review related documentation on wiki pages from Gerrit to Differential
Closed, DeclinedPublic

Details

Reference
fl351

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl351.
Qgil lowered the priority of this task from Normal to Low.Oct 9 2014, 9:19 PM

This is very important, but low priority at this point of time.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2015, 6:41 PM
greg raised the priority of this task from Low to Normal.Dec 2 2015, 12:09 AM
greg updated the task description. (Show Details)
greg set Security to None.
greg added a subscriber: greg.
greg added a comment.Dec 2 2015, 12:13 AM

Why do these pages live under "Gerrit"?

It looks like mw:Git was redirected to mw:Gerrit, sadly.

I actually recommend that Code_review and Code_review/Getting_reviews pages become top level, eg: [[mw:Code_review]] (not having Git/ or Gerrit/ in front).

greg added a comment.Dec 2 2015, 12:18 AM
In T207#1843334, @greg wrote:

It looks like mw:Git was redirected to mw:Gerrit, sadly.

To be fair, the content of mw:Git wasn't the most useful: https://www.mediawiki.org/w/index.php?title=Git&oldid=754984

I actually recommend that Code_review and Code_review/Getting_reviews pages become top level, eg: [[mw:Code_review]] (not having Git/ or Gerrit/ in front).

I still recommend this though :)

We'll have to figure out where pages like https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines go, however. Under Phabricator/Differential ?

greg moved this task from To Triage to Tooling on the Gerrit-Migration board.Dec 2 2015, 12:25 AM
Qgil added a comment.Dec 2 2015, 11:58 AM

Now we have pages like Phabricator/Project_management... I would not dig much into the past. :)

In any case, having Code_review as top level makes total sense. Once this principle is clear, naming/moving pages accordingly is simple and cheap. What matters is to have useful content properly linked (or should I say discoverable).

greg added a comment.Mar 7 2016, 4:26 PM

Well, as long as all of the crazy stuff under Gerrit that isn't (or shouldn't be) Gerrit specific is cleaned up and moved somewhere else (like under the proposed [[Code_review]] page) then sure.

But I don't want either of those tasks you link to be blockers for the Differential migration, which this task is (because it's about the confusion of having code review stuff being under [[Gerrit]]).

Paladox added a subscriber: Paladox.Mar 7 2016, 4:27 PM
Aklapper renamed this task from Update Code Review related documentation on wiki pages to Update Code Review related documentation on wiki pages from Gerrit to Differential.EditedMar 7 2016, 7:12 PM

Makes a lot of sense. I clarified the task summary and will keep this separate for the time being.

greg added a comment.Mar 7 2016, 7:14 PM

Much better title, thanks :)

greg moved this task from Tooling to Documentation on the Gerrit-Migration board.Mar 15 2016, 10:59 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptDec 1 2017, 6:27 AM
Legoktm reopened this task as Open.Dec 1 2017, 6:38 AM
demon closed this task as Declined.
demon added a subscriber: demon.